<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Users</title>
    <!-- Favicon-->
    <script defer type="text/javascript" th:src="@{/scripts.js}"></script>
    <!-- Favicon-->
    <link rel="icon" type="image/x-icon" href="assets/favicon.ico"/>
    <!-- Font Awesome icons (free version)-->
    <script src="https://use.fontawesome.com/releases/v6.1.0/js/all.js" crossorigin="anonymous"></script>
    <!-- Google fonts-->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css"/>
    <link href="https://fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic" rel="stylesheet"
          type="text/css"/>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body>
<!--Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
</br></br></br></br></br></br></br>
<div class="page-section-heading text-center text-uppercase text-secondary mb-0">
    <form action="#" th:action="@{/users/search}" th:object="${searchUserDTO}" method="post" style="color: #ffffff">

        <input type="text" class="search-input-field" th:field="*{username}" placeholder="Username"/>
        <label class="error" th:errors="*{username}">Name error placeholder</label>
        <input type="text" class="search-input-field" th:field="*{first_name}" placeholder="First name"/>
        <label class="error" th:errors="*{first_name}">Name error placeholder</label>
        <input type="text" class="search-input-field" th:field="*{last_name}" placeholder="Last name"/>
        <label class="error" th:errors="*{last_name}">Name error placeholder</label>

        <!--            <label th:text="#{user.label.sort}">Sort Options:</label>-->
        <br/>
        <br/>
        <li class="list-inline-item">
            <select th:field="*{sort}" class="form-select">
                <option selected th:value="null"> Not ordered</option>
                <option th:each="option : ${sortUserOptions}"
                        th:value="${option.getPreview()}"
                        th:text="${option.getPreview()}">
                </option>
            </select>
        </li>
        <label class="error" th:errors="*{sort}">Sort error placeholder</label>

        <button type="submit" value="Search" class="btn btn-outline-secondary">Search</button>
    </form>

    <table class="table table-hover" style="color: #000000">
        <div class="container m-0 mt-2">
            <div th:if="${users.isEmpty()}">
                <!--                <h2 th:text="#{users.title.empty}" style="color: #ffffff">No Users</h2>-->
            </div>
            <div th:unless="${users.isEmpty()}">
                <!--                <h2 th:text="#{users.title}">All Users</h2>-->
            </div>
        </div>
        <thead>
        <tr>
            <th scope="col" th:text="#{username.label}">Username</th>
            <th scope="col" th:text="#{first-name.label}">First name</th>
            <th scope="col" th:text="#{last-name.label}">Last name</th>
            <th scope="col" th:text="#{email.label}">Email</th>
        </tr>
        </thead>
        <tbody>
        <div class="row" th:each="user : ${users}">
            <tr>
                <td>
                    <a href="#" th:href="@{/users/{id}(id=${user.getId()})}"
                       th:text="' ' + ${user.getUsername()}">Users</a>
                </td>
                <td th:text="${user.getFirst_name()}">First Name</td>
                <td class="cell" th:text="${user.getLast_name()}">Last Name</td>
                <td class="cell" th:text="${user.getEmail()}">Email</td>
            </tr>
        </div>
        </tbody>
    </table>
</div>
</body>
</html>